JavaScript/jQuery Sortable Methods

This section describes methods that control the Sortable UI component.

See Also

beginUpdate()

Prevents the UI component from refreshing until the endUpdate() method is called.

The beginUpdate() and endUpdate() methods prevent the UI component from excessive updates when you are changing multiple UI component settings at once. After the beginUpdate() method is called, the UI component does not update its UI until the endUpdate() method is called.

See Also

defaultOptions(rule)

Specifies the device-dependent default configuration properties for this component.

Parameters:
rule:

Object

The component's default device properties.

Object structure:
Name Type Description
device

Device

|

Array<Device>

|

Function

Device parameters.
When specifying a function, get information about the current device from the argument. Return true if the properties should be applied to the device.

options

Object

Options to be applied.

defaultOptions is a static method that the UI component class supports. The following code demonstrates how to specify default properties for all instances of the Sortable UI component in an application executed on the desktop.

JavaScript
  • DevExpress.ui.dxSortable.defaultOptions({
  • device: { deviceType: "desktop" },
  • options: {
  • // Here go the Sortable properties
  • }
  • });

dispose()

Disposes of all the resources allocated to the Sortable instance.

After calling this method, remove the DOM element associated with the UI component:

JavaScript
  • $("#mySortable").dxSortable("dispose");
  • $("#mySortable").remove();

Use this method only if the UI component was created with jQuery or pure JavaScript. In Angular, Vue, and React, use conditional rendering:

See Also

element()

Gets the root UI component element.

Return Value:

HTMLElement | jQuery

An HTML element or a jQuery element when you use jQuery.

See Also

endUpdate()

Refreshes the UI component after a call of the beginUpdate() method.

Main article: beginUpdate()

See Also

getInstance(element)

Gets the instance of a UI component found using its DOM node.

Parameters:
element:

Element

|

jQuery

The UI component's container.

Return Value:

Object

The UI component's instance.

getInstance is a static method that the UI component class supports. The following code demonstrates how to get the Sortable instance found in an element with the mySortable ID:

  • // Modular approach
  • import Sortable from "devextreme/ui/sortable";
  • ...
  • let element = document.getElementById("mySortable");
  • let instance = Sortable.getInstance(element) as Sortable;
  •  
  • // Non-modular approach
  • let element = document.getElementById("mySortable");
  • let instance = DevExpress.ui.dxSortable.getInstance(element);
See Also

instance()

Gets the UI component's instance. Use it to access other methods of the UI component.

Return Value: Sortable

This UI component's instance.

See Also

off(eventName)

Detaches all event handlers from a single event.

Parameters:
eventName:

String

The event's name.

Return Value: Sortable

The object for which this method is called.

See Also

off(eventName, eventHandler)

Detaches a particular event handler from a single event.

Parameters:
eventName:

String

The event's name.

eventHandler:

Function

The event's handler.

Return Value: Sortable

The object for which this method is called.

See Also

on(eventName, eventHandler)

Subscribes to an event.

Parameters:
eventName:

String

The event's name.

eventHandler:

Function

The event's handler.

Return Value: Sortable

The object for which this method is called.

Use this method to subscribe to one of the events listed in the Events section.

See Also

on(events)

Subscribes to events.

Parameters:
events:

Object

Events with their handlers: { "eventName1": handler1, "eventName2": handler2, ...}

Return Value: Sortable

The object for which this method is called.

Use this method to subscribe to several events with one method call. Available events are listed in the Events section.

See Also

option()

Return Value:

Object

The UI component's properties.

See Also

option(optionName)

Gets the value of a single property.

Parameters:
optionName:

String

The property's name or full path.

Return Value: any

This property's value.

See Also

option(optionName, optionValue)

Updates the value of a single property.

Parameters:
optionName:

String

The property's name or full path.

optionValue: any

This property's new value.

See Also

option(options)

Updates the values of several properties.

Parameters:
options:

Object

Options with their new values.

See Also

resetOption(optionName)

Resets a property to its default value.

Parameters:
optionName:

String

A property's name.

See Also

update()

Updates Sortable's dimensions. Call this method after items are added or their dimensions are changed during dragging.

See Also

React Sortable Methods
This section describes methods that control the Sortable UI component.
beginUpdate()
Prevents the UI component from refreshing until the endUpdate() method is called.
The beginUpdate() and endUpdate() methods prevent the UI component from excessive updates when you are changing multiple UI component settings at once. After the beginUpdate() method is called, the UI component does not update its UI until the endUpdate() method is called.
See Also
defaultOptions(rule)
Specifies the device-dependent default configuration properties for this component.
The component's default device properties.
defaultOptions is a static method that the UI component class supports. The following code demonstrates how to specify default properties for all instances of the Sortable UI component in an application executed on the desktop.
jQuery
DevExpress.ui.dxSortable.defaultOptions({ 
    device: { deviceType: "desktop" },
    options: {
        // Here go the Sortable properties
    }
});Angular
import Sortable from "devextreme/ui/sortable";
// ...
export class AppComponent {
    constructor () {
        Sortable.defaultOptions({
            device: { deviceType: "desktop" },
            options: {
                // Here go the Sortable properties
            }
        });
    }
}Vue
<template>
    <div>
        <DxSortable id="sortable1" />
        <DxSortable id="sortable2" />
    </div>
</template>
<script>
import DxSortable from "devextreme-vue/sortable";
import Sortable from "devextreme/ui/sortable";
Sortable.defaultOptions({
    device: { deviceType: "desktop" },
    options: {
        // Here go the Sortable properties
    }
});
export default {
    components: {
        DxSortable
    }
}
</script>React
import React, {useEffect} from "react";
import dxSortable from "devextreme/ui/sortable";
import Sortable from "devextreme-react/sortable";
export default function App() {
    useEffect(() => { 
        dxSortable.defaultOptions({
            device: { deviceType: "desktop" },
            options: {
                // Here go the Sortable properties
            }
        })
    });
    return (
        <div>
            <Sortable id="sortable1" />
            <Sortable id="sortable2" />
        </div>
    )
}dispose()
Disposes of all the resources allocated to the Sortable instance.
After calling this method, remove the DOM element associated with the UI component:
$("#mySortable").dxSortable("dispose");
$("#mySortable").remove();Use this method only if the UI component was created with jQuery or pure JavaScript. In Angular, Vue, and React, use conditional rendering:
Angular
<dx-sortable ...
    *ngIf="condition">
</dx-sortable>Vue
<template>
    <DxSortable ...
        v-if="condition">
    </DxSortable>
</template>
<script>
import DxSortable from 'devextreme-vue/sortable';
export default {
    components: {
        DxSortable
    }
}
</script>React
import React from 'react';
import Sortable from 'devextreme-react/sortable';
function DxSortable(props) {
    if (!props.shouldRender) {
        return null;
    }
    return (
        <Sortable ... >    
        </Sortable>
    );
}
class App extends React.Component {
    render() {
        return (
            <DxSortable shouldRender="condition" />
        );
    }
}
export default App;See Also
element()
Gets the root UI component element.
An HTML element or a jQuery element when you use jQuery.
getInstance(element)
Gets the instance of a UI component found using its DOM node.
The UI component's instance.
getInstance is a static method that the UI component class supports. The following code demonstrates how to get the Sortable instance found in an element with the mySortable ID:
// Modular approach
import Sortable from "devextreme/ui/sortable";
...
let element = document.getElementById("mySortable");
let instance = Sortable.getInstance(element) as Sortable;
// Non-modular approach
let element = document.getElementById("mySortable");
let instance = DevExpress.ui.dxSortable.getInstance(element);See Also
instance()
Gets the UI component's instance. Use it to access other methods of the UI component.
This UI component's instance.
off(eventName)
Detaches all event handlers from a single event.
The event's name.
The object for which this method is called.
off(eventName, eventHandler)
Detaches a particular event handler from a single event.
The object for which this method is called.
on(eventName, eventHandler)
Subscribes to an event.
The object for which this method is called.
on(events)
Subscribes to events.
Events with their handlers: { "eventName1": handler1, "eventName2": handler2, ...}
The object for which this method is called.
option(optionName)
Gets the value of a single property.
The property's name or full path.
This property's value.
option(options)
Updates the values of several properties.
Options with their new values.
resetOption(optionName)
Resets a property to its default value.
A property's name.
update()
Updates Sortable's dimensions. Call this method after items are added or their dimensions are changed during dragging.
If you have technical questions, please create a support ticket in the DevExpress Support Center.